TESTING/LIN/alareq.f(3)

NAME
TESTING/LIN/alareq.f

SYNOPSIS

  Functions/Subroutines
subroutine alareq (path, nmats, dotype, ntypes, nin, nout)
ALAREQ

Function/Subroutine Documentation

  subroutine alareq (character*3 path, integer nmats, logical, dimension( * ) dotype, integer ntypes, integer nin, integer nout)

ALAREQ

Purpose:

     ALAREQ handles input for the LAPACK test program.  It is called
     to evaluate the input line which requested NMATS matrix types for
     PATH.  The flow of control is as follows:
     IF NMATS = NTYPES THEN
        DOTYPE(1:NTYPES) = .TRUE.
     ELSE
        Read the next input line for NMATS matrix types
        Set DOTYPE(I) = .TRUE. for each valid type I
     END IF

Parameters
    PATH

              PATH is CHARACTER*3
              An LAPACK path name for testing.

    NMATS

              NMATS is INTEGER
              The number of matrix types to be used in testing this path.

    DOTYPE

              DOTYPE is LOGICAL array, dimension (NTYPES)
              The vector of flags indicating if each type will be tested.

    NTYPES

              NTYPES is INTEGER
              The maximum number of matrix types for this path.

    NIN

              NIN is INTEGER
              The unit number for input.  NIN >= 1.

    NOUT

              NOUT is INTEGER
              The unit number for output.  NOUT >= 1.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file alareq.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.